# Get-RASVDIHostStatus

### NAME

Get-RASVDIHostStatus\ <br>

### SYNOPSIS

Retrieves the list of, or a specific, host status.\ <br>

### SYNTAX

Get-RASVDIHostStatus \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#ProviderId)] *\<uint>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#SiteId)] *\<uint>*] -[HostId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#HostId) *\<string>* \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#CommonParameters)*>*]\
\
Get-RASVDIHostStatus \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#InputObject)] *<*[*VDIHost*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHost.html)*>* \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#ProviderId)] *\<uint>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#SiteId)] *\<uint>*] \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#CommonParameters)*>*]\
\
Get-RASVDIHostStatus \[\[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#ProviderId)] *\<uint>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#SiteId)] *\<uint>*] \[-[StatusLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#StatusLevel) {Level1 | Level2 | Level3}] \[-[User](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#User) *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVDIHostStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the list of, or a specific, host status.\ <br>

### PARAMETERS

\
-**ProviderId \<uint>**\
The ID of a Provider server from which to obtain the Host vm list.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Host VM list.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**HostId \<string>**\
The ID of the Host vm. To obtain the ID, use the Get-RASVDIHost cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**VDIHost**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHost.html)**>**\
An object of type VDIHost representing a Host vm for which to retrieve the information.\
\
To obtain the object, use the Get-RASVDIHost cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**User \<string>**\
The username assigned to Host.\
\
If empty square brackets (\[]) are passed, the Host list will be filtered with those with an assigned user.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**StatusLevel <**[**StatusLevel**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/StatusLevel.html)**>**\
Specifies the level of detail that should be returned.\
\
Acceptable values: Level1 (VDI Host status information only), Level2 (VDI Host status and Host VM info), Level3 (VDI Host status, Host VMs, Applications).\
\
Possible values: Level1, Level2, Level3\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                Level1
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[VDIHost](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHost.html)

### OUTPUTS

[VDIHostSysInfo\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHostSysInfo\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASVDIHostStatus | Format-List\
\
Retrieves the list of host statuses\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASVDIHostStatus -ProviderId 1\
\
Retrieves the list of host statuses from the specified Provider server\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASVDIHostStatus -ProviderId 1 -SiteId 1\
\
Retrieves the list of host statuses from the specified Provider server from the specified site.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASVDIHostStatus -ProviderId 1 -SiteId 1 -HostId "" | Format-List\
\
Retrieves the specified host status from the specified Provider server from the pecified site.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasvdihoststatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
